> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom field definition

> Deletes a custom field definition. Rejected with 422 if any record still holds a value for this definition's key.



## OpenAPI

````yaml DELETE /custom_field_definitions/{id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /custom_field_definitions/{id}:
    delete:
      summary: Delete a custom field definition
      description: >-
        Deletes a custom field definition. Rejected with 422 if any record still
        holds a value for this definition's key.
      operationId: delete-custom-field-definition
      parameters:
        - name: id
          in: path
          required: true
          description: Custom field definition friendly ID (e.g., cfd_abc123def456)
          schema:
            type: string
      responses:
        '204':
          description: '204'
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: >-
                          Cannot delete a custom field definition that is still
                          in use
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````